curl --request GET \
--url https://api.hubapi.com/automation/sequences/2026-03/{sequenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/sequences/2026-03/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencyType": "ADAPTIVE_COMPLETION",
"id": "<string>",
"reliesOnSequenceStepId": "<string>",
"reliesOnStepOrder": 123,
"requiredBySequenceStepId": "<string>",
"requiredByStepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"name": "<string>",
"steps": [
{
"actionType": "ADAPTIVE_CONTAINER",
"createdAt": "2023-11-07T05:31:56Z",
"delayMillis": 123,
"id": "<string>",
"stepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"emailPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"threadEmailToStepOrder": 123
},
"taskPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taskPriority": "HIGH",
"taskType": "CALL",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"queueId": 123,
"subject": "<string>",
"templateId": 123,
"threadEmailToStepOrder": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"folderId": "<string>",
"settings": {
"createdAt": "2023-11-07T05:31:56Z",
"eligibleFollowUpDays": "BUSINESS_DAYS",
"id": "<string>",
"individualTaskRemindersEnabled": true,
"sellingStrategy": "ACCOUNT_BASED",
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskReminderMinute": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve a sequence
Recuperar los detalles de una secuencia específica por su ID.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Parámetros de consulta
Respuesta
successful operation
La fecha y hora en que se creó la secuencia.
Un conjunto de dependencias para los pasos de la secuencia, en el que cada una se representa como un objeto PublicSequenceStepDependencyResponse.
Show child attributes
Show child attributes
El identificador único de la secuencia.
El nombre de la secuencia.
Una serie de pasos incluidos en la secuencia, cada uno de los cuales es representado por el objeto PublicSequenceStepResponse.
Show child attributes
Show child attributes
La fecha y hora en que se actualizó por última vez la secuencia.
El ID del usuario asociado a la secuencia.
El identificador de la carpeta que contiene la secuencia.
Show child attributes
Show child attributes